{% extends view.base_template %}

{% block title %}Rapport de transport{% endblock %}

{% block content %}
<h2>Rapport de transport</h2>

<div class="row">
    {% if form.errors or form.formset.errors %}
    <div class="alert alert-danger">
        Le formulaire soumis contient des erreurs, veuillez les corriger dans la page ci-dessous.
    </div>
    {% endif %}
    <div class="col-sm">
        {% include 'transport/transport_detail.html' %}
    </div>
    <div class="col-sm">
        {% if not view.par_chauffeur %}<div class="lead mb-3">Chauffeur : {{ transport.chauffeur }}</div>{% endif %}
        <form method="post" enctype="multipart/form-data" class="debounce">{% csrf_token %}
            <div class="row">
                <div class="col-11">{{ form.annule }} {{ form.annule.label_tag|strip_colon }}</div>
                <div class="col-1 help_icon">
                    <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                         title="Merci de cocher cette case si le transport n’a pas eu lieu et de préciser la raison dans le commentaire: est-ce que vous vous êtes déplacés, si le bénéficiaire a prévenu la CRNE ou non.">
                </div>
            </div>
            <div class="row pt-1">
                {% if form.km.errors %}<div class="col-12">{{ form.km.errors }}</div>{% endif %}
                <div class="col-6 text-end pt-1 pe-0">{{ form.km.label_tag }}</div>
                <div class="col-5">{{ form.km }}</div>
                <div class="col-1 help_icon">
                    <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                         title="km depuis votre domicile jusqu’à votre retour à domicile. Merci de corriger les km si vous avez plusieurs transports à la suite.">
                </div>
            </div>
            <div class="row pt-1">
                {% if form.duree_eff.errors %}<div class="col-12">{{ form.duree_eff.errors }}</div>{% endif %}
                <div class="col-6 text-end pt-1 pe-0">{{ form.duree_eff.label_tag }}</div>
                <div class="col-5">{{ form.duree_eff }}</div>
                <div class="col-1 help_icon">
                    <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                         title="Durée totale du transport compté depuis le départ de votre domicile jusqu’à votre retour à domicile{% if transport.retour %}, temps d'attente compris{% endif %}.">
                </div>
            </div>
            {% if form.temps_attente %}
            <div class="row pt-1">
                {% if form.temps_attente.errors %}<div class="col-12">{{ form.temps_attente.errors }}</div>{% endif %}
                <div class="col-6 text-end pt-1 pe-0">{{ form.temps_attente.label_tag }}</div>
                <div class="col-5">{{ form.temps_attente }}</div>
                <div class="col-1 help_icon">
                    <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                         title="Attente depuis l’heure de rendez-vous client. À partir de 1h30, CHF 5/demi-heure pleine supplémentaire. Ex: si attente 2h, notez 2h. Ainsi, 30 min = CHF 5.- vous seront défrayés.">
                </div>
            </div>
            {% endif %}
            {% if form.statut_fact %}
            <div class="row pt-1">
                <div class="col">{{ form.statut_fact.label_tag }} {{ form.statut_fact }}</div>
            </div>
            {% endif %}
            <div class="mt-1">
                <label for="id_rapport_chauffeur">Commentaires</label> {{ form.rapport_chauffeur }}{{ form.rapport_chauffeur.errors }}
            </div>
            {% if form.formset is not None %}
            <fieldset id="frais_formset">
                <div>
                    {{ form.formset.management_form.as_div }}
                    {% for subform in form.formset %}
                    <div class="border border-2 mt-2 p-3 rounded fset-line">
                        {% for hidden in subform.hidden_fields %}{{ hidden }}{{ hidden.errors }}{% endfor %}
                        {{ subform.non_field_errors }}
                        <div class="row align-items-end">
                            <div class="col-sm-8 fw-bold text-end pb-2">
                                {{ subform.instance.description }}
                                <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                                     {% if subform.initial.typ == 'repas' %}
                                     title="Merci de scanner et joindre la quittance repas, maximum CHF 20.-"
                                     {% else %}
                                     title="Merci de scanner et joindre la quittance parking"
                                     {% endif %}
                                >
                            </div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    {{ subform.cout }}
                                    <div class="input-group-text">CHF</div>
                                </div>
                                {{ subform.cout.errors }}
                            </div>
                        </div>
                        <div>{{ subform.justif.label_tag }} {{ subform.justif }}{{ subform.justif.errors }}</div>
                        {% if subform.instance.pk %}
                        <div class="text-end">
                            <span class="delete-formset-link"><img src="{% static 'admin/img/icon-deletelink.svg' %}" title="Supprimer cette ligne de frais"></span>
                        </div>
                        {% endif %}
                    </div>
                    {% endfor %}
                    {% with subform=form.formset.empty_form %}
                    <div class="border border-2 mt-3 p-3 rounded empty_form" hidden>
                        {% for hidden in subform.hidden_fields %}{{ hidden }}{% endfor %}
                        <div class="row align-items-end">
                            <div class="col-sm-8 fw-bold text-end pb-2">Frais de parking</div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    {{ subform.cout }}
                                    <div class="input-group-text">CHF</div>
                                </div>
                                {{ subform.cout.errors }}
                            </div>
                        </div>
                        <div>{{ subform.justif.label_tag }} {{ subform.justif }}{{ subform.justif.errors }}</div>
                     </div>
                    {% endwith %}
                </div>
                <div class="text-end">
                    <button type="button" class="btn btn-primary mt-3 add_more" title="Ajouter un autre coût">+</button>
                </div>
            </fieldset>
            {% endif %}
            <div class="mt-3 d-flex justify-content-between">
                <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-secondary">Annuler</a>
                <button type="submit" class="btn btn-primary">Enregistrer</button>
            </div>
        </form>
    </div>
</div>
{% endblock %}
